:root {
  --bg: #08090d;
  --panel: rgba(255,255,255,.06);
  --panel2: rgba(255,255,255,.09);
  --text: rgba(255, 247, 227, 0.92);
  --muted: rgba(255,255,255,.7);
  --muted2: rgba(255,255,255,.55);
  --border: rgba(255,255,255,.14);
  --titles: rgb(228, 195, 77);
  --shadow: 0 18px 50px rgba(0,0,0,.45);
  --radius: 18px;
  --max: 1280px;
  --contact-bg-top: #0b0f14;
  --contact-bg-bottom: #08090d;

  --font: "Oxanium", "Space Grotesk", ui-sans-serif, system-ui, -apple-system, Segoe UI, Roboto, "Helvetica Neue", Arial, "Noto Sans", "Apple Color Emoji", "Segoe UI Emoji", "Space Grotesk";
}

* { 
  box-sizing:border-box; 
}

html { 
  scroll-behavior: smooth;
  margin: 0;
  padding: 0;
}

body {
  margin: 0;
  padding: 0;
  font-family: var(--font);
  background: var(--bg);
  color: var(--text);
  line-height: 1.5;
}

h1 {
  font-family: "Space Grotesk", "Oxanium", ui-sans-serif, system-ui, sans-serif;
  text-transform: uppercase;
  font-weight: 400;
  color: var(--titles);
  text-align: center;
  font-size: clamp(32px, 4vw, 42px);
}

h2, h3, h4, h5, h6 {
  font-family: "Oxanium", "Space Grotesk", ui-sans-serif, system-ui, sans-serif;
  color: var(--titles);
  text-align: center;
}

h2 {
  font-size: 28px;
}

h3 {
  font-size: 22px;
}

a { 
  color:inherit; 
  text-decoration:none; 
}

.wrap { 
  max-width: var(--max); 
  margin: 0 auto; 
  padding: 0 18px; 
}


/*---------------------------------------------------------------------------*/
/* Steam Buttons */
.steam-btn {
  display: inline-flex;
  align-items: center;
  gap: 10px;

  padding: 16px 32px;
  border-radius: 6px;

  /*color: #1b2838; /* Steam dark blue */
  color: #0b1b2b;
  background: rgba(255, 255, 255, 0.9);
  text-decoration: none;

  font-weight: 600;
  font-size: 24px;
  letter-spacing: 0.04em;

  transition: all 0.2s ease;
}

.steam-btn img {
  height: 32px;
  width: auto;
}

/* Hover effect */
.steam-btn:hover {
  background: rgba(255, 255, 255, 0.75);
  color: #060d15;
}

/* Click effect */
.steam-btn:active {
  background: rgba(255, 255, 255, 1);
}

.steam-btn.hero-btn {
  gap: 20px;
  justify-content: center;

  padding: clamp(10px, 3vh, 20px) clamp(20px, 4vw,40px);
  min-width: 300px;

  background: rgba(255, 255, 255, 0.8);

  font-size: clamp(20px, 3.5vw, 40px);
}

.hero-steam-btn.hero-btn img {
  height: clamp(24px, 4vw, 48px);
  width: auto;
}

/* Hover effect */
.hero-steam-btn.hero-btn:hover {
  background: rgba(255, 255, 255, 0.6);
  color: #060d15;
}

.steam-btn.topbar-btn {
  padding: 12px 20px;
  border-radius: 4px;
  margin-left: auto;

  font-size: clamp(10px, 2vw, 20px);
  letter-spacing: 0.04em;
}

.steam-btn.topbar-btn img {
  height: clamp(20px, 3vw, 32px);;
  width: auto;
}


/*---------------------------------------------------------------------------*/
/* Top bar */
.topbar {
  position: sticky; 
  top: 0; 
  z-index: 50;
  height: clamp(41px, 7vw, 81px);
  margin: 0 auto;

  backdrop-filter: blur(10px);
  background: rgba(11,15,20,.72);
  border-bottom: 1px solid var(--border);
}

.topbar-logo {
  height: clamp(30px, 4.5vw, 60px);
  width: auto;
}

.topbar-inner {
  display: flex; 
  align-items: center;
  height: 100%;
  justify-content: flex-start;
  max-width: var(--max);

  gap: clamp(6px, 1vw, 14px);
  padding: 1vw 0.5vw 1vw 0;
}

.topbar-menu {
  display: flex; 
  align-items: center;
  height: 100%;
  flex: 1;
  min-width: 0;

  gap:14px;
  padding: 12px 0px;
}

.nav {
  display: flex;
  gap: clamp(6px, 1.25vw, 16px);
  align-items: center;

  color: #f1f1d6;
  font-size: clamp(14px, 2.25vw, 24px);
  font-family: "Space Grotesk", "Oxanium", ui-sans-serif, system-ui, sans-serif;
}

.menu-btn{
  display: none;
  border: 1px solid var(--border);
  background: rgba(255,255,255,.06);
  color: var(--text);
  border-radius: 14px;
  padding: 10px 12px;
  font-weight: 800;
  cursor: pointer;
}

/* Mobile */
@media (max-width: 875px){
  .topbar{
    height: 64px;
  }

  .topbar-inner {
    justify-content: space-between;
    padding: 10px 4px;
  }

  .topbar-inner img {
    height: 44px;          /* shrink logo */
    width: auto;
  }

  .nav {
    display: none;         /* hide horizontal menu */
    margin-left: 0;
    gap: 8px;
    text-align: left;
  }

  .topbar-steam-btn {
    display: none;         /* hide desktop steam button */
  }

  .menu-btn {
    display: inline-flex;  /* show burger */
    align-items: center;
    justify-content: center;
  }

  /* When opened */
  .nav.open{
    display: flex;
    position: absolute;
    right: 18px;
    top: 128px; /* match topbar height */
    flex-direction: column;
    width: min(340px, calc(100vw - 36px));
    padding: 10px;
    background: rgba(11,15,20,.95);
    border: 1px solid var(--border);
    border-radius: 16px;
    box-shadow: var(--shadow);
  }

  .nav.open a{
    padding: 12px 12px;
    border-radius: 12px;
  }

  .nav.open a:hover{
    background: rgba(255,255,255,.06);
  }

  /* Make instagram look like an icon row item */
  .nav-social{
    margin-left: 0;
  }

  .topbar-steam-btn.open {
    position: absolute;
    right: 18px;
    top: 64px;
    display: flex;
    flex-direction: row;
    width: min(340px, calc(100vw - 36px));
    padding: 10px;
  }
}


/*---------------------------------------------------------------------------*/
/* Footer */
.footer {
  background: #0a0a0a;
  color: #ccc;
  padding: 30px 20px;
  font-size: 14px;
}

.footer-inner {
  max-width: 1200px;
  margin: 0 auto;

  display: flex;
  align-items: center;
  flex-direction: column;
  z-index: 5;
  gap: 20px;
}

.footer-left,
.footer-center,
.footer-right {
  flex: 1;
  z-index: 5;
}

.footer-left {
  text-align: left;
}

.footer-center {
  text-align: center;
}

.footer-right {
  text-align: right;
}

.footer-siesta-logo {
  height: 128px;
  opacity: 1.0;
}


/*---------------------------------------------------------------------------*/
/* Hero part */
.hero {
  position: relative;
  width: 100%;
  min-height: 768px;
  aspect-ratio: 36 / 25;
  overflow: hidden;
}

.bg {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  min-height: 768px;
  object-fit: cover;
  pointer-events: none;
}

.hero-art-wrap {
  position: absolute;
  inset: 0;
  z-index: 2;
  pointer-events: none;
  will-change: transform;
}

.hero-art {
  width: 100%;
  max-width: 2880px;
  min-height: 768px;
  object-fit: cover;
}

.hero-logo {
  position: absolute;
  inset: 0;
  z-index: 3;
  pointer-events: none;
  object-fit: cover;
  width: 75%;
  top: 20%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.bg-far {
  z-index: 1;
}

.hero-content {
  position: relative;
  z-index: 10;
  padding: 40px;
  text-align: center;
  height: 100%;
}

.hero-wishlist-button {
  position: absolute;
  left: 50%;
  top: 40%;
  transform: translateX(-50%);
}


/*---------------------------------------------------------------------------*/
/* Trailer part */
.trailer {
  min-height: 800px;
  min-width: 404px;
  background: var(--bg);
  display: grid;
  grid-template: 1fr;
  align-items: center;
  padding: 40px 0;
}

.trailer-container {
  max-width: var(--max);
  min-width: 400px;
  margin: 0 auto;
  padding: 0 2px;
  width: 100%;
}

.trailer-container iframe {
  width: 100%;
  aspect-ratio: 16 / 9;
  border: none;
}


/*---------------------------------------------------------------------------*/
/* Information part */
.information {
  position: relative;
  min-height: 720px;
  background: var(--bg);

  display: flex;
  align-items: center;

  gap: 20px;
  padding: 60px 0 40px 0;
}

.information-bg-image {
  position: absolute;
  inset: 0;
  z-index: 1;
  pointer-events: none;
}

.information-bg-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.information-content {
  z-index: 5;
  display: flex;
  flex-direction: column;
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(10px);
  border-radius: var(--radius);
  padding: 10px 16px 20px 16px;
}

.information-logo {
  width: 100%;
  max-width: 600px;
  height: auto;

  display: block;
  margin: 0 auto;
}

.information-separator {
  width: 100%;
  max-width: var(--bg);
  height: auto;

  display: block;
  margin: 20px auto;
}

.information-gif-and-text {
  display: grid;
  grid-template-columns: minmax(200px, 480px) minmax(0, 1fr);
  gap: 20px;
  align-items: center;
  padding: 0 0;
}

.information-gif-and-text.reverse {
  grid-template-columns: minmax(0, 1fr) minmax(200px, 480px);
}

.information-gif {
  width: 100%;
  aspect-ratio: 16 / 9;
}

.information-gif img {
  display: block;
  width: 100%;
  max-width: 480px;
  height: auto;
}

.information-gif-and-text.reverse .information-gif {
  justify-self: end;
}

@media (max-width: 1000px) {
  .information-gif-and-text,
  .information-gif-and-text.reverse {
    grid-template-columns: 1fr 1fr;
  }

  .information-gif,
  .information-gif-and-text.reverse .information-gif {
    justify-self: center;
  }

  .information-gif img {
    max-width: 100%;
  }
}

@media (max-width: 550px) {
  .information-gif-and-text,
  .information-gif-and-text.reverse {
    grid-template-columns: 1fr;
  }

  .information-gif,
  .information-gif-and-text.reverse .information-gif {
    justify-self: center;
  }

  .information-gif img {
    max-width: 100%;
  }
}


/*---------------------------------------------------------------------------*/
/* Contact part */
.contact {
  z-index: 5;
  display: flex;
  background: linear-gradient(to bottom, var(--contact-bg-top), var(--contact-bg-bottom));
}

.contact-options {
  display: grid;
  grid-template-columns: 1fr 1fr;
  justify-items: center;
  gap: 20px;

  font-size: 18px;
}